'requires keyboard input plus enter
'or usb input with carriage return terminating

Function saveusb_Initialize(msgPort As Object, userVariables As Object, bsp as Object)

    print "saveusb_Initialize - entry"
    saveusb = newsaveusb(msgPort, userVariables, bsp)
    return saveusb

End Function


Function newsaveusb(msgPort As Object, userVariables As Object, bsp as Object)
	print "newsaveusb"

	s = {}
	s.version = 0.3
	s.msgPort = msgPort
	s.userVariables = userVariables
	s.bsp = bsp
	s.ProcessEvent = saveusb_ProcessEvent
	s.usbinput$ = ""
	s.objectName = "saveusb_object"
	s.debug  = false

	return s
	
End Function


Function saveusb_ProcessEvent(event As Object) as boolean
	print "Processing saveusb plugin events"
	print type(event)

	retval = false

	if type(event) = "roAssociativeArray" then

        	if type(event["EventType"]) = "roString" then
             		if (event["EventType"] = "SEND_PLUGIN_MESSAGE") then
                		if event["PluginName"] = "saveusb" then
                    		pluginMessage$ = event["PluginMessage"]
					print "SEND_PLUGIN/EVENT_MESSAGE:";pluginMessage$
                    		retval = ParsePluginMsg(pluginMessage$, m)
                		endif
            		endif
        	endif
		
	else if type(event) = "roControlDown" then

		'if userVariables.DoesExist("audio") then
		'	myvariable = m.userVariables.Lookup("audio")
		'	If myvariable <> invalid myvariable.SetCurrentValue("y", true)
		'endif

    else if type(event) = "roKeyboardPress" then
	    
	m.bsp.diagnostics.PrintDebug("Keyboard Press" + str(event.GetInt()))
	keyboardChar$ = chr(event.GetInt())

            if event.GetInt() <> 13 then
                m.usbInput$ = m.usbInput$ + keyboardChar$
	    else

		if m.userVariables.DoesExist("input") then
			myvariable = m.userVariables.Lookup("input")
			If myvariable <> invalid then 
				myvariable.SetCurrentValue(m.usbinput$, true)
				m.usbinput$=""
			endif
		endif		
		
            endif
        

	else if (type(event) = "roUrlEvent") then
		
	else if type(event) = "roHttpEvent" then
		
	end if

	return retval

End Function

